For AI agents: a documentation index is available at https://docs.visible.vc/llms.txt. Markdown versions of each page are available by sending an Accept: text/markdown header, or by appending .md to the page URL.

Do not miss any Visible API changes, ever again

Subscribe to the Visible API changelog to be up to date on recent changes.

RSS

Jul 3, 2026

main
1
Compare

Add Experimental Source Provenance to Data Points

Next change

This release adds the ability to retrieve the provenance of a data point via the GET /data_points endpoint.

  • New include_source query parameter: Pass include_source=true to include a source object on each returned data point.
  • New source object on DataPoint (experimental): Describes the origin of the data point value, derived from the latest version in the changelog.
  • New DataPointSource schema with:
    • source_type — origin of the value (ai_inbox, update_request, user_provided, or unknown)
    • label — human-readable description of the source
    • visible_url — deep link to the source in Visible, when available
2 structure changes including:
2 Modifications
Modified 2
GET /data_points
  • Response
  • 200 response Modified
    • application/json content type Modified
      • data_points property Modified
        • source property Added
  • Query
  • include_source query parameter Added
PUT /metrics/{metric_id}/data_points
  • Response
  • 200 response Modified
    • application/json content type Modified
      • data_points property Modified
        • source property Added